Subject: Re: bug#32463: 27.0.50; (logior -1) => 4611686018427387903

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Aug 2018 17:05:31 +0300

> From: Andy Moreton <[email-masked]>
> Date: Thu, 23 Aug 2018 00:27:55 +0100
> 
> The current documentation is uninformative:
> 
>   Maximum number of bits in bignums.
>   Integers outside the fixnum range are limited to absolute values less
>   than 2**N, where N is this variable’s value.  N should be nonnegative.
> 
> This says plenty abut fixnums, but does not mention that anything larger
> than fixnum range is represented as a bignum. For users who are new to
> all of this, it is important to state that.
> 
> I think it is worth mentioning that intermediate computations not visible
> to lisp may use slightly larger bignums, and to make it clear that this
> is a soft limit intended to prevent misbehaviour of the runtime.

Feel free to propose a documentation patch, and let's take it from
there.